Description

Supportanfrage

I am trying to establish TCP communication with ECU connected through vector device (VN5610A). I saw that there is an example

on CAN/CANFD interfacing with vector (device toolbox), so I was wondering whether there is something similar for TCP/UDP

communication.

In addition, could you provide source code for filters VECTOR CAN FD Device Receiver, VECTOR CAN FD Device Transmitter?

Lösung

UDP Communication via SOME/IP will part of the next Device Toolbox 3.2 Release within the next weeks

At the moment we are not supporting TCP communication with SOME/IP. But it is about to come.

We cannot provide the source-code for the Vector CANFD Streaming Devices.

There is no plan to implement a Vector Ethernet Streaming Source, only CAN, CAN FD and FlexRay are requirements in ADTF.

For Ethernet SOME/IP we follow a device independent solution based on PCap, which is already available since Device TB 3.1.0 -> 

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_pcap_receiver_plugin.html

This will also work on Linux, which we can not handle for Vector API.

So there is no additional hardware required to trace ethernet data within ADTF 3.x.

I can also imagine if you are using the ethernet port of the Vector Hardware you can access the ethernet data from device (but I can't

prove that).

So if this is no solution for you, you have to implement a Streaming Service which handles Vector Driver XL Library Ethernet part.

Best case could be just using the examples from the Vector API and integrate within your Source/Sink, but that is not our supported

range and you should talk with Vector Support if documentation is not enough useful.

If you do, I would suggest to work with the same structure our PCap Source provides, then the post-toolchain (SOME/IP Filter, Trace

View, ...) can handle the incoming data.

Related issues:

Related to Public Support - Support Request #11562: Using vector Ethernet Dev... Closed

History

#1 - 2020-05-22 09:20 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::Ethernet

- Customer set to PORSCHE

#2 - 2020-05-25 07:19 - hidden

Hello Mr Novak,

UDP Communication via SOME/IP will part of the next Device Toolbox 3.2 Release within the next weeks

At the moment we are not supporting TCP communication with SOME/IP. But it is about to come.

We cannot provide the source-code for the Vector CANFD Streaming Devices

2024-05-03 1/2

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_pcap_receiver_plugin.html


Kind regards

Benedict Hartmann

#3 - 2020-05-26 09:05 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2020-05-29 12:27 - hidden

Hi Jakub,

in addition to #11288#note-2:

There is no plan to implement a Vector Ethernet Streaming Source, only CAN, CAN FD and FlexRay are requirements in ADTF.

For Ethernet SOME/IP we follow a device independent solution based on PCap, which is already available since Device TB 3.1.0 -> 

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_pcap_receiver_plugin.html

This will also work on Linux, which we can not handle for Vector API.

So there is no additional hardware required to trace ethernet data within ADTF 3.x.

I can also imagine if you are using the ethernet port of the Vector Hardware you can access the ethernet data from device (but I can't prove that).

So if this is no solution for you, you have to implement a Streaming Service which handles Vector Driver XL Library Ethernet part.

Best case could be just using the examples from the Vector API and integrate within your Source/Sink, but that is not our supported range and you

should talk with Vector Support if documentation is not enough useful.

If you do, I would suggest to work with the same structure our PCap Source provides, then the post-toolchain (SOME/IP Filter, Trace View, ...) can

handle the incoming data.

#5 - 2020-06-09 12:26 - hidden

- Project changed from 16 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#6 - 2020-06-23 16:01 - hidden

- Related to Support Request #11562: Using vector Ethernet Device VN5610A within ADTF Device Toolbox 3.x added

#9 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
